#pragma once
#include "EntityState.h"
extern const int CS_KanpaSTATENAME_CONTROL2;
//移动组件
class CS_KanpaControl2 :
    public EntityState
{
public:
    CS_KanpaControl2();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void MoveControl();
    void JumpControl();
    //物理信息
    //地面
    float ground_move = 0xc0 / ts;
    float ground_max_move = 0x2ff / ts;
    //水中
    float inwater_move = ground_move / 2;
    float inwater_max_move = ground_max_move / 2;
    //使用中的物理信息
    float max_move;//当前最大移动速度
    float move;//当前移动加速度
    //锁住调查事件
    bool faceToBack_disable = false;
    //播放落地声音
    bool playLandingSound = false;
    //播放撞头声音
    bool playBonkHeadSound = false;
};

